// plugin.ts
import { Plugin } from "@zemble/core";
import GraphQLYoga from "@zemble/graphql";
import Auth from "zemble-plugin-auth";
var API_KEY_SECRET = process.env.API_KEY_SECRET ?? "top-secret";
var INVALIDATE_API_KEYS_IAT_BEFORE = process.env.INVALIDATE_API_KEYS_IAT_BEFORE ? parseInt(process.env.INVALIDATE_API_KEYS_IAT_BEFORE, 10) : 0;
var defaultConfig = {
  API_KEY_SECRET,
  INVALIDATE_API_KEYS_IAT_BEFORE
};
var plugin_default = new Plugin(__dirname, {
  defaultConfig,
  dependencies: [
    {
      plugin: GraphQLYoga
    },
    {
      plugin: Auth
    }
  ]
});
export {
  plugin_default as default
};
